python 文本下载完后多出failed to send a complete request

python 下载服务端的文本数据,将服务端的文本和下载下来的文件进行MD5验证比较,MD5码不一致,发现下载下来的文本多出了
HTTP/1.1 408 Request Timed Out
Date: Tue, 28 Apr 2015 06:37:12 GMT
Content-Type: text/html; charset=UTF-8
Connection: close
Cache-Control: no-cache, must-revalidate
Timestamp: 14:37:12.026

The client failed to send a complete request before the timeout period elapsed. 但是在同事的机器上运行相同代码下载下来的文件和服务端相同,求破!

2个回答

你这个是408超时的信息,是不是当时请求的时候有网络问题等

oyljerry
oyljerry 回复小水的码农人生: 如果回答正确,请采纳,谢谢
大约 5 年之前 回复
ww694303720
小水的码农人生 就是网络问题,现在这个问题有没有了,刚刚跑了一遍,下载正常
大约 5 年之前 回复

你用什么库发送请求的?
如果是直接用socket发送的请求,请求送的结尾是否是两个\r\n

从这里报错的信息来看,提示内容很明显:

 The client failed to send a complete request before the timeout period elapsed.
 客户端没有在超时时间结束前将请求内容发送完整

很明显,服务端没有收到标记请求头结束的两个\r\n

ww694303720
小水的码农人生 不适用socket发送的,是http请求,这个问题很奇怪,现在我又跑了一遍,下载下来的文件又正常了。感觉这种bug无从下手
大约 5 年之前 回复
Csdn user default icon
上传中...
上传图片
插入图片
抄袭、复制答案,以达到刷声望分或其他目的的行为,在CSDN问答是严格禁止的,一经发现立刻封号。是时候展现真正的技术了!
其他相关推荐
关于python打包成.exe运行文件时,执行出现了failed to execute script,求助

1.我是想实现这段代码能够在双击后在后台直接运行,不需要显示DOS窗口 但是我加了-w参数后,打成的.exe文件运行后就出现了failed to execute script错误,求解,是我程序写的有问题吗?小白一个,求解 ![图片说明](https://img-ask.csdn.net/upload/201906/06/1559784179_895420.png)

python3 pyinstaller打包成exe,运行时failed to execute script image

在写代码机器上, 打包成的exe可以运行成功,在测试机运行时报failed to execute script image。。。。。。。。。

InvalidArgumentError: Failed to create a directory: log/C:; Invalid argument这是什么原因呀

tensorflow.python.framework.errors_impl.InvalidArgumentError: Failed to create a directory: log/C:; Invalid argument 这个代码我改了一点就运行不了了,提示无法创建文件夹是什么原因? 我在123文件夹里建立了TO文件夹里面也建立了log 但是还是报这个错误 ``` # train_model.py import numpy as np from alexnet import alexnet WIDTH = 214 HEIGHT = 132 LR = 1e-3 EPOCHS = 10 MODEL_NAME = 'C:/Users/Administrator/Desktop/123/pygta5-car-fast-{}-{}-{}-epochs-300K-data.model'.format(LR, 'alexnetv2',EPOCHS) model = alexnet(WIDTH, HEIGHT, LR) hm_data = 22 for i in range(EPOCHS): for i in range(1,hm_data+1): train_data = np.load('C:/Users/Administrator/Desktop/123/training_data-{}-balanced.npy'.format(i)) train = train_data[:-100] test = train_data[-100:] X = np.array([i[0] for i in train]).reshape(-1,WIDTH,HEIGHT,1) Y = [i[1] for i in train] test_x = np.array([i[0] for i in test]).reshape(-1,WIDTH,HEIGHT,1) test_y = [i[1] for i in test] model.fit({'input': X}, {'targets': Y}, n_epoch=1, validation_set=({'input': test_x}, {'targets': test_y}), snapshot_step=500, show_metric=True, run_id=MODEL_NAME) model.save(MODEL_NAME) # tensorboard --logdir=foo:C:/path/to/log ```

Mac Python3.7, pyinstaller 生成的exe文件无法执行,报错Failed to execute script pyi_rth__tkinter

小白最近在学python,学到了pyinstaller,好不容易安装成功,结果生成的exe文件无法运行,报错Failed to execute script pyi_rth__tkinter。![图片说明](https://img-ask.csdn.net/upload/201910/19/1571452042_240598.png) 这里是我build文件夹里warn的内容。 ![图片说明](https://img-ask.csdn.net/upload/201910/19/1571452156_472081.png) 在google上搜了好久都没找到解决方案,伤心了,求大神解答。

tensorflow-gpu Failed to get convolution algorithm.

成功安装了gpu版的tensorflow之后,尝试跑两个神经网 第一个:全连接的DNN 关键代码如下: ``` xs=tf.placeholder(tf.float32,[None,10]) ys=tf.placeholder(tf.float32,[None,7]) 'layer1:ful connect' W_fc1=weight_variable([10,5000],name_data=None) b_fc1=bias_variable([5000],name_data=None) h_fc1=tf.nn.relu(tf.matmul(xs,W_fc1)+b_fc1) 'layer2:ful connect' W_fc2=weight_variable([5000,5000],name_data=None) b_fc2=bias_variable([5000],name_data=None) h_fc2=tf.nn.relu(tf.matmul(h_fc1,W_fc2)+b_fc2) 'layer3:ful connect' W_fc3=weight_variable([5000,5000],name_data=None) b_fc3=bias_variable([5000],name_data=None) h_fc3=tf.nn.relu(tf.matmul(h_fc2,W_fc3)+b_fc3) 'output layer::ful connect,maxsoft' W_fc4=weight_variable([5000,7],name_data=None) b_fc4=bias_variable([7],name_data=None) output=tf.nn.sigmoid(tf.matmul(h_fc3,W_fc4)+b_fc4) ``` 能够顺利的利用gpu加速,确实比cpu的计算速度快不少。 然而,在跑cnn的时候(部分代码如下) ``` 'def weights' def weight_variable(shape,name_data): initial=tf.truncated_normal(shape,stddev=0.1) return tf.Variable(initial,dtype=tf.float32,name=name_data) 'def biases' def bias_variable(shape,name_data): initial=tf.constant(0.1,shape=shape) return tf.Variable(initial,dtype=tf.float32,name=name_data) 'def conv2d layer' def conv2d(x,W): return tf.nn.conv2d(x,W,strides=[1,1,1,1],padding='SAME') 'def pooling layer as max_pool' def max_pool_2x2_v(x): return tf.nn.max_pool(x,ksize=[1,2,2,1],strides=[1,2,2,1],padding='VALID') 'def pooling layer as max_pool' def max_pool_2x2_s(x): return tf.nn.max_pool(x,ksize=[1,2,2,1],strides=[1,1,1,1],padding='SAME') #input layer 'placeholder xs & ys' xs=tf.placeholder(tf.float32,[None,64]) ys=tf.placeholder(tf.float32,[None,1]) 'reshape the xs as x_image,which shape is 10*10' x_image=tf.reshape(xs,[-1,8,8,1]) print('red input::',x_image) #layer2:conv layer 2 patches 'patch1' W_conv_r_1_1=weight_variable([3,3,1,20],name_data='W_conv_r_1_1') b_conv_r_1_1=bias_variable([20],name_data='b_conv_r_1_1') h_conv_r_1_1=tf.nn.relu6(conv2d(x_image,W_conv_r_1_1)+b_conv_r_1_1) 'patch2' W_conv_r_1_2=weight_variable([3,3,1,10],name_data='W_conv_r_1_2') b_conv_r_1_2=bias_variable([10],name_data='b_conv_r_1_2') h_conv_r_1_2=tf.nn.relu6(conv2d(x_image,W_conv_r_1_2)+b_conv_r_1_2) 'concat to layer2' h_conv_r_1=tf.concat([h_conv_r_1_1,h_conv_r_1_2],3) print("red layer2::",h_conv_r_1) #layer3:conv layer:1 patch add with h_conv_r_1_2 'patch1' W_conv_r_2_1=weight_variable([5,5,30,30],name_data='W_conv_r_2_1') b_conv_r_2_1=bias_variable([30],name_data='b_conv_r_2_1') h_conv_r_2_1=tf.nn.elu(conv2d(h_conv_r_1,W_conv_r_2_1)+b_conv_r_2_1) 'patch for next layer' W_conv_r_2_2=weight_variable([5,5,30,15],name_data='W_conv_r_2_2') b_conv_r_2_2=bias_variable([15],name_data='b_conv_r_2_2') h_conv_r_2_2=tf.nn.elu(conv2d(h_conv_r_1,W_conv_r_2_2)+b_conv_r_2_2) 'concat for layer3' h_conv_r_2=tf.concat([h_conv_r_2_1,h_conv_r_1_2],3) print('red layer3;:',h_conv_r_2) ``` 上述代码是一个利用cnn训练黑白棋的程序,可以在CPU环境下顺利的运行,但是在gpu环境下,运行时会报错:Failed to get convolution algorithm (无法获得卷积算法) 完整的报错信息如下: ``` Traceback (most recent call last): File "C:\Users\fengg\AppData\Local\Programs\Python\Python35\lib\site-packages\tensorflow\python\client\session.py", line 1334, in _do_call return fn(*args) File "C:\Users\fengg\AppData\Local\Programs\Python\Python35\lib\site-packages\tensorflow\python\client\session.py", line 1319, in _run_fn options, feed_dict, fetch_list, target_list, run_metadata) File "C:\Users\fengg\AppData\Local\Programs\Python\Python35\lib\site-packages\tensorflow\python\client\session.py", line 1407, in _call_tf_sessionrun run_metadata) tensorflow.python.framework.errors_impl.UnknownError: Failed to get convolution algorithm. This is probably because cuDNN failed to initialize, so try looking to see if a warning log message was printed above. [[{{node Conv2D}} = Conv2D[T=DT_FLOAT, data_format="NHWC", dilations=[1, 1, 1, 1], padding="SAME", strides=[1, 1, 1, 1], use_cudnn_on_gpu=true, _device="/job:localhost/replica:0/task:0/device:GPU:0"](Reshape, W_conv_r_1_1/read)]] [[{{node Sigmoid/_75}} = _Recv[client_terminated=false, recv_device="/job:localhost/replica:0/task:0/device:CPU:0", send_device="/job:localhost/replica:0/task:0/device:GPU:0", send_device_incarnation=1, tensor_name="edge_105_Sigmoid", tensor_type=DT_FLOAT, _device="/job:localhost/replica:0/task:0/device:CPU:0"]()]] During handling of the above exception, another exception occurred: Traceback (most recent call last): File "C:\Users\fengg\Desktop\Othello with ResNet 3\Othello with ResNet-large\Othello with ResNet-large\train_ResNet.py", line 326, in <module> try_point=sess.run(prediction_r, feed_dict={xs:board_try,ys:[[0.0001]]}) File "C:\Users\fengg\AppData\Local\Programs\Python\Python35\lib\site-packages\tensorflow\python\client\session.py", line 929, in run run_metadata_ptr) File "C:\Users\fengg\AppData\Local\Programs\Python\Python35\lib\site-packages\tensorflow\python\client\session.py", line 1152, in _run feed_dict_tensor, options, run_metadata) File "C:\Users\fengg\AppData\Local\Programs\Python\Python35\lib\site-packages\tensorflow\python\client\session.py", line 1328, in _do_run run_metadata) File "C:\Users\fengg\AppData\Local\Programs\Python\Python35\lib\site-packages\tensorflow\python\client\session.py", line 1348, in _do_call raise type(e)(node_def, op, message) tensorflow.python.framework.errors_impl.UnknownError: Failed to get convolution algorithm. This is probably because cuDNN failed to initialize, so try looking to see if a warning log message was printed above. [[node Conv2D (defined at C:\Users\fengg\Desktop\Othello with ResNet 3\Othello with ResNet-large\Othello with ResNet-large\train_ResNet.py:31) = Conv2D[T=DT_FLOAT, data_format="NHWC", dilations=[1, 1, 1, 1], padding="SAME", strides=[1, 1, 1, 1], use_cudnn_on_gpu=true, _device="/job:localhost/replica:0/task:0/device:GPU:0"](Reshape, W_conv_r_1_1/read)]] [[{{node Sigmoid/_75}} = _Recv[client_terminated=false, recv_device="/job:localhost/replica:0/task:0/device:CPU:0", send_device="/job:localhost/replica:0/task:0/device:GPU:0", send_device_incarnation=1, tensor_name="edge_105_Sigmoid", tensor_type=DT_FLOAT, _device="/job:localhost/replica:0/task:0/device:CPU:0"]()]] Caused by op 'Conv2D', defined at: File "<string>", line 1, in <module> File "C:\Users\fengg\AppData\Local\Programs\Python\Python35\lib\idlelib\run.py", line 130, in main ret = method(*args, **kwargs) File "C:\Users\fengg\AppData\Local\Programs\Python\Python35\lib\idlelib\run.py", line 357, in runcode exec(code, self.locals) File "C:\Users\fengg\Desktop\Othello with ResNet 3\Othello with ResNet-large\Othello with ResNet-large\train_ResNet.py", line 57, in <module> h_conv_r_1_1=tf.nn.relu6(conv2d(x_image,W_conv_r_1_1)+b_conv_r_1_1) File "C:\Users\fengg\Desktop\Othello with ResNet 3\Othello with ResNet-large\Othello with ResNet-large\train_ResNet.py", line 31, in conv2d return tf.nn.conv2d(x,W,strides=[1,1,1,1],padding='SAME') File "C:\Users\fengg\AppData\Local\Programs\Python\Python35\lib\site-packages\tensorflow\python\ops\gen_nn_ops.py", line 1044, in conv2d data_format=data_format, dilations=dilations, name=name) File "C:\Users\fengg\AppData\Local\Programs\Python\Python35\lib\site-packages\tensorflow\python\framework\op_def_library.py", line 787, in _apply_op_helper op_def=op_def) File "C:\Users\fengg\AppData\Local\Programs\Python\Python35\lib\site-packages\tensorflow\python\util\deprecation.py", line 488, in new_func return func(*args, **kwargs) File "C:\Users\fengg\AppData\Local\Programs\Python\Python35\lib\site-packages\tensorflow\python\framework\ops.py", line 3274, in create_op op_def=op_def) File "C:\Users\fengg\AppData\Local\Programs\Python\Python35\lib\site-packages\tensorflow\python\framework\ops.py", line 1770, in __init__ self._traceback = tf_stack.extract_stack() UnknownError (see above for traceback): Failed to get convolution algorithm. This is probably because cuDNN failed to initialize, so try looking to see if a warning log message was printed above. [[node Conv2D (defined at C:\Users\fengg\Desktop\Othello with ResNet 3\Othello with ResNet-large\Othello with ResNet-large\train_ResNet.py:31) = Conv2D[T=DT_FLOAT, data_format="NHWC", dilations=[1, 1, 1, 1], padding="SAME", strides=[1, 1, 1, 1], use_cudnn_on_gpu=true, _device="/job:localhost/replica:0/task:0/device:GPU:0"](Reshape, W_conv_r_1_1/read)]] [[{{node Sigmoid/_75}} = _Recv[client_terminated=false, recv_device="/job:localhost/replica:0/task:0/device:CPU:0", send_device="/job:localhost/replica:0/task:0/device:GPU:0", send_device_incarnation=1, tensor_name="edge_105_Sigmoid", tensor_type=DT_FLOAT, _device="/job:localhost/replica:0/task:0/device:CPU:0"]()]] ``` 请问这个问题该如何解决,谢谢了!

python文本处理的脚本

文本A中每一行均有一个元素,文本B中每一行有多个元素,且包含文本A中的元素,现在需要根据文本A中的元素提取出文本B中符合条件的每一行并输出为文本C。 例如: A中有:![图片说明](https://img-ask.csdn.net/upload/201905/08/1557285571_328671.png) B中有:![图片说明](https://img-ask.csdn.net/upload/201905/08/1557285584_736411.png) 需要生成的C为:![图片说明](https://img-ask.csdn.net/upload/201905/08/1557285602_466282.png)

Ubuntu上安装python3.7.0版本,执行到make命令有两个modules build failed,请问如何解决呢?

安装python3.7.0版本报错,请问如何解??? 1、操作步骤: (1)解压了Python-3.7.0的压缩包 (2)cd Ptyhon-3.7.0 (3)./configure --with-openssl=/opt/openssl-1.0.2.q (4)make (5)make install 2、执行到第(4)步make命令后出现以下错误: ![图片说明](https://img-ask.csdn.net/upload/201905/10/1557499433_905658.jpg) Building '_ssl' extension /usr/bin/ld: /opt/openssl-1.0.2q/lib/libssl.a(s3_meth.o):relocation R_X86_64_32 against '.radata' can not be used when making a shared object; recompile with -fPIC /opt/openssl-1.0.2q/lib/libssl.a:error adding symbols:Bad value collect2: error: ld returned 1 exit status Building '_hashlib' extension /usr/bin/ld: /opt/openssl-1.0.2q/lib/libcrypto.a(o_name.o_): relocation R_X86_64_32 against '.text' can not be used when making a shared object; recompile eith -fPIC /opt/openssl-1.0.2q/lib/libcrypto.a: error adding symbols: Bad value Collect2: error: ld returned 1 exit status The necessary bits to build these optional modules were not found: _bz2 _lzma _uuid readline Failed to build these modules:_hashlib _ssl Could not build the ssl module! Python requires an OpenSSL1.0.2 or 1.1 compatible libssl with X509_VERIFY_PARAM_set1_host(). LibreSSL 2.6.4 and earlier do not privide the neceaary APIs, https://github.com/libressl-portable/portable/issues/381 3备注:不知这报错是不是什么依赖环境没安装好,前面预安装了openssl-1.0.2q,不过查看用命令:openssl version查看了openssl的版本不是openssl-1.0.2q,而是系统自带的那个版本;但是在/opt目录下看到有openssl-1.0.2q。遇到这错误如何解决呢???? 在出现了上面的错误之后我再执行第(5)步,第5步没有报错,但是用python -V查看此时的python版本,仍然是原来自带的python 2.7.6,不是现在安装的python 3.7.0,请问是没有安装成功吗?????? 刚接触这些东西是小白一个,费了一天多的时间也没能把问题解决,遇到过这样的情况并解决了的朋友帮忙解答一下,拜托了~~

spyder打开错误: Failed to create D3D shaders

我在win8、64bit服务器上安装anaconda3,版本为5.0.1,但是在我打开spyder的时候,首先提示错误: PythonQtError: No Qt bindings could be found 我在安装了pyqt5之后,解决了这个问题,接着打开spyder,出现的是全黑色的界面,提示错误: QOpenGLShader::link: Failed to create D3D shaders. shader compilation failed: "Failed to create D3D shaders.\n" QOpenGLShader::link: Failed to create D3D shaders. Failed to create D3D shaders. QOpenGLShaderProgram::uniformLocation(qt_Matrix): shader program is not linked QOpenGLShader::link: Failed to create D3D shaders. shader compilation failed: "Failed to create D3D shaders.\n" QOpenGLShader::link: Failed to create D3D shaders. Failed to create D3D shaders. QOpenGLShaderProgram::uniformLocation(qt_Matrix): shader program is not linked QOpenGLShader::link: Failed to create D3D shaders. shader compilation failed: "Failed to create D3D shaders.\n" QOpenGLShader::link: Failed to create D3D shaders. Failed to create D3D shaders. QOpenGLShaderProgram::uniformLocation(matrix): shader program is not linked QOpenGLShaderProgram::uniformLocation(opacity): shader program is not linked QOpenGLShader::link: Failed to create D3D shaders. Failed to create D3D shaders. Failed to create D3D shaders. Failed to create D3D shaders. Failed to create D3D shaders. Failed to create D3D shaders. Failed to create D3D shaders. Failed to create D3D shaders. Failed to create D3D shaders. Failed to create D3D shaders. 这是我GPU驱动问题?但是已经是最新版本了,还是pyqt5的问题?因为在笔记本上不需要这个库。又或是其他什么问题?

nginx启动报错 Failed to start A high performance web server and a reverse proxy server.

``` root@tedu:/etc/nginx/sites-enabled# vim default ``` 修改了default文件 ``` location/static{ root /home/tarena/Download/ajax_day01_all/ajax_day01_all/mysite8; } ``` 增加了静态地址 分号没有漏掉 ``` sudo /etc/init.d/nginx restart ``` 运行报错 nginx.service - A high performance web server and a reverse proxy server Loaded: loaded (/lib/systemd/system/nginx.service; enabled; vendor preset: enabled) Active: failed (Result: exit-code) since 三 2019-10-30 14:36:12 CST; 13min ago Process: 13022 ExecStop=/sbin/start-stop-daemon --quiet --stop --retry QUIT/5 --pidfile /run/nginx.pid (code=exite Process: 12334 ExecStart=/usr/sbin/nginx -g daemon on; master_process on; (code=exited, status=0/SUCCESS) Process: 13098 ExecStartPre=/usr/sbin/nginx -t -q -g daemon on; master_process on; (code=exited, status=1/FAILURE) Main PID: 12338 (code=exited, status=0/SUCCESS) 10月 30 14:36:12 tedu systemd[1]: Starting A high performance web server and a reverse proxy server... 10月 30 14:36:12 tedu nginx[13098]: nginx: [emerg] unknown directive "location/static" in /etc/nginx/sites-enabled/de 10月 30 14:36:12 tedu nginx[13098]: nginx: configuration file /etc/nginx/nginx.conf test failed 10月 30 14:36:12 tedu systemd[1]: nginx.service: Control process exited, code=exited status=1 10月 30 14:36:12 tedu systemd[1]: Failed to start A high performance web server and a reverse proxy server. 10月 30 14:36:12 tedu systemd[1]: nginx.service: Unit entered failed state. 10月 30 14:36:12 tedu systemd[1]: nginx.service: Failed with result 'exit-code'. ~ ~

pyinstaller打包后,运行出现Failed to execute script xxx

python是3.8的 pyinstaller是3.6的 pycharm是2019 3.3的 打包的程序小就可以运行,大一点就报错Failed to execute script xxx 例如我打包一个游戏最小系统就可以运行 此图为通过cmd打开打包好的hello.exe被关闭后的提示 ![图片说明](https://img-ask.csdn.net/upload/202003/15/1584203039_43211.jpg) 此图为通过cmd打开打包好的hello.exe正在运行 ![图片说明](https://img-ask.csdn.net/upload/202003/15/1584203231_2387.jpg) 以上是能正常打开的 以下双击会报错的次,次程序为通过键盘让图片移动,打包后报错 ![图片说明](https://img-ask.csdn.net/upload/202003/15/1584203309_699094.jpg) 大佬,救救我,十万火急。谢谢le

pyinstaller打包成EXE以后提示Failed to execute script?

使用此命令:pyinstaller -F -w *.py打包成的EXE无法打开,打开就提示 ![图片说明](https://img-ask.csdn.net/upload/201811/27/1543280438_272810.png) 但如果是:pyinstaller -F *.py ,打开就可以正常运行 请教一下各位大神这是什么原因? pyth是3.7版本 PyCharm是2018.3版本 pyinstaller是3.4版本 我看pyinstaller是支持到3.7的,那到底是什么原因呢? 程序源码在PyCharm跑没问题,打包成带黑色控制台窗口的exe运行也没有问题。 代码如下: def isLeapYear(y): return (y%400==0 or (y%4==0 and y%100!=0)) DofM=[0,31,28,31,30,31,30,31,31,30,31,30] res=0 year=int(input('Year:')) month=int(input('Month:')) day=int(input('day:')) if isLeapYear(year): DofM[2]+=1 for i in range(month): res+=DofM[i] print(res+day) ![图片说明](https://img-ask.csdn.net/upload/201811/27/1543280460_250250.png)

Activate Python环境时出现 Failed to create temp directory,查了好久没找到解决办法,我该怎么办?

**如图,本人安装anaconda3之后,按照教程指示,在查看python信息时出现了以下情况: ** ** ** ![图片说明](https://img-ask.csdn.net/upload/202003/19/1584602621_350366.png) ** ** **我按照提示,在官网找到说要** **run: c:\Anaconda3\Scripts\activate base in Anaconda Prompt.** **但是在我run之后,出现了如下情况:** ![图片说明](https://img-ask.csdn.net/upload/202003/19/1584602804_650591.png) ** ** **之前在import mysql的时候也出现过类似情况,但后来不知道怎么就解决了。** **这次我决定把这个问题搞明白,但是查了很久资料,都没有找到解决方法QAQ. 我采取的措施有:** ** ** **1.环境变量设置过了,如图** ![图片说明](https://img-ask.csdn.net/upload/202003/19/1584605009_438398.png) ![图片说明](https://img-ask.csdn.net/upload/202003/19/1584605030_605551.png) ** ** **2.D盘我设置的TEMP文件夹的属性也是可以修改的,不需要管理员身份** ![图片说明](https://img-ask.csdn.net/upload/202003/19/1584605199_915407.png) **萌新学python,求求大家了。** ** ** 补充一下,我发现我启动prompt的时候,就遇到了这个: ![图片说明](https://img-ask.csdn.net/upload/202003/19/1584607049_620590.png)

selenium webdriver调试报错 Message: Failed to convert data to an object?

1、selenium webdriver调试报错 Message: Failed to convert data to an object 2、代码 # coding =utf-8 from selenium import webdriver from selenium.webdriver.common.keys import Keys import time import os browser=webdriver.Firefox() #打开火狐浏览器 browser.maximize_window() #最大化浏览器 browser.implicitly_wait(30) #智能等待时间 browser.get("http://demo.jeesite.com/js/a/login") #访问http://demo.jeesite.com/js/a/login browser.find_element_by_id("btnSubmit").click() #点击系统管理 browser.find_element_by_link_text("组织管理").click() #点击组织管理 browser.find_element_by_link_text("用户管理").click() #点击用户管理 browser.find_element_by_xpath("//a[contains(text(),'新增')]").click() #点击用户管理界面新增按钮 browser.quit() #关闭浏览器 3、报错信息 C:\Users\yinxinyu\AppData\Local\Programs\Python\Python37\python.exe D:/Work/Project/python/text3.py Traceback (most recent call last): File "D:/Work/Project/python/text3.py", line 23, in <module> browser.find_element_by_xpath("//a[contains(text(),'新增')]").click() File "C:\Users\yinxinyu\AppData\Local\Programs\Python\Python37\lib\site-packages\selenium\webdriver\remote\webdriver.py", line 394, in find_element_by_xpath return self.find_element(by=By.XPATH, value=xpath) File "C:\Users\yinxinyu\AppData\Local\Programs\Python\Python37\lib\site-packages\selenium\webdriver\remote\webdriver.py", line 978, in find_element 'value': value})['value'] File "C:\Users\yinxinyu\AppData\Local\Programs\Python\Python37\lib\site-packages\selenium\webdriver\remote\webdriver.py", line 321, in execute self.error_handler.check_response(response) File "C:\Users\yinxinyu\AppData\Local\Programs\Python\Python37\lib\site-packages\selenium\webdriver\remote\errorhandler.py", line 242, in check_response raise exception_class(message, screen, stacktrace) selenium.common.exceptions.WebDriverException: Message: Failed to convert data to an object 4、尝试过的办法:更换定位方式class以及Xpath都不行 5、报错截图 ![图片说明](https://img-ask.csdn.net/upload/201902/26/1551172639_584131.png)

python flask在主app.py文件中定义了一个工厂函数create_app(),并且创建列一个app实例,为什么还是会报Failed to find application in module "app"的错误。

python flask在主app.py文件中定义了一个工厂函数create_app(),并且创建列一个app实例,为什么还是会报Failed to find application in module "app"的错误。 工厂函数以及main方法 ``` # --app.py def create_app(): app = Flask(__name__) app.config.from_object(config) return app if __name__ == '__main__': app = create_app() app.run() ``` 为什么还是报错: Error: Failed to find application in module "app". Are you sure it contains a Flask application? Maybe you wrapped it in a WSGI middleware or you are using a factory function.

python对文本文档的比对和处理

现有两个txt文本文档,A文档:![图片说明](https://img-ask.csdn.net/upload/201905/09/1557367314_531072.png)B文档:![图片说明](https://img-ask.csdn.net/upload/201905/09/1557367326_922915.png)想要通过python脚本来生成![图片说明](https://img-ask.csdn.net/upload/201905/09/1557367353_930871.png)的文档,实际操作时的数据量比举的例子大得多,所以需要脚本来实现。多谢诸位大大的帮助!

failed to execute script错误

用pystaller 生成的exe文件,双击运行时出现failed to execute script错误, 求大神帮忙,到底是什么原因。网上没查到,基本也有什么路径的问题。很简单的一段代码 代码如下 # -*- coding: utf-8 -*- #根据用户输入身高 体重 来计算 是过轻 正常 过重 肥胖 严重肥胖 height = input("你的身高(米): ") weight = input("你的体重(KG): ") bmi = float(weight) / float(height) ** 2 if bmi > 32: print("严重肥胖") elif bmi > 28 and bmi <= 32: print("肥胖") elif bmi > 25 and bmi <= 28: print("过重") elif bmi > 18.5 and bmi <= 25: print("正常") else: print("过轻")

pyinstaller打包selenium脚本,报Failed to execute script weather

``` Traceback (most recent call last): File "weather.py", line 126, in <module> File "weather.py", line 110, in time_control File "weather.py", line 85, in Task File "weather.py", line 49, in choice_index File "selenium\webdriver\remote\webelement.py", line 80, in click File "selenium\webdriver\remote\webelement.py", line 633, in _execute File "selenium\webdriver\remote\webdriver.py", line 321, in execute File "selenium\webdriver\remote\errorhandler.py", line 242, in check_response selenium.common.exceptions.WebDriverException: Message: unknown error: Element < a href=" " name="O3">...</ a> is not clickable at point (105, 127). Other element would receive the click: <div class="title">...</div> (Session info: headless chrome=73.0.3683.86) (Driver info: chromedriver=2.46.628402 (536cd7adbad73a3783fdc2cab92ab2ba7ec361e1),platform=Windows NT 10.0.17763 x86_64) [2804] Failed to execute script weather ``` 我只导入了selenium,time和datetime,selenium也成功一起打包了,自己电脑上运行没问题,传给别人就用不了报错。

Python 进行文本分析 分类建模前遇到的小问题

本人在做毕业设计当中,做的是文本挖掘,主题是对某一商品的评论进行区分垃圾与真实评论,已经利用Python对文本数据进行了文本清洗,去重,压缩,分词,去停用词等操作,并利用Gensim对语料库进行了向量转换,现在有以下几个问题,烦请有经验的前辈们指导指导,谢谢各位了! 1、进行完向量转换后,是否要对原始文本数据进行人工标注(垃圾数据与否:0和1),这样的话,如果数据量很大,那么人工标注不是效率很慢吗?(当然我的数据量在完成数据清洗之后只有900多条了,这里只是产生了一个疑惑) 2、如果标注0和1,数据的格式是怎么样的,我要怎么进行分类器的构建,还有两种数据类型的特征构建? 3、有什么适合此情况的分类算法吗? 本人真的才学疏浅,找了很多资料还是没有弄懂接下来一步该如何进行,跪求大家交流交流,谢谢~

用Python做网络文本的情感分析

本人自然语言处理一窍不通,但有一紧急任务要处理。求大牛用Python给我的一份文本做情感分析啊!

学Python后到底能干什么?网友:我太难了

感觉全世界营销文都在推Python,但是找不到工作的话,又有哪个机构会站出来给我推荐工作? 笔者冷静分析多方数据,想跟大家说:关于超越老牌霸主Java,过去几年间Python一直都被寄予厚望。但是事实是虽然上升趋势,但是国内环境下,一时间是无法马上就超越Java的,也可以换句话说:超越Java只是时间问题罢。 太嚣张了会Python的人!找工作拿高薪这么简单? https://edu....

在中国程序员是青春饭吗?

今年,我也32了 ,为了不给大家误导,咨询了猎头、圈内好友,以及年过35岁的几位老程序员……舍了老脸去揭人家伤疤……希望能给大家以帮助,记得帮我点赞哦。 目录: 你以为的人生 一次又一次的伤害 猎头界的真相 如何应对互联网行业的「中年危机」 一、你以为的人生 刚入行时,拿着傲人的工资,想着好好干,以为我们的人生是这样的: 等真到了那一天,你会发现,你的人生很可能是这样的: ...

为什么程序猿都不愿意去外包?

分享外包的组织架构,盈利模式,亲身经历,以及根据一些外包朋友的反馈,写了这篇文章 ,希望对正在找工作的老铁有所帮助

Java校招入职华为,半年后我跑路了

何来 我,一个双非本科弟弟,有幸在 19 届的秋招中得到前东家华为(以下简称 hw)的赏识,当时秋招签订就业协议,说是入了某 java bg,之后一系列组织架构调整原因等等让人无法理解的神操作,最终毕业前夕,被通知调往其他 bg 做嵌入式开发(纯 C 语言)。 由于已至于校招末尾,之前拿到的其他 offer 又无法再收回,一时感到无力回天,只得默默接受。 毕业后,直接入职开始了嵌入式苦旅,由于从未...

Java基础知识面试题(2020最新版)

文章目录Java概述何为编程什么是Javajdk1.5之后的三大版本JVM、JRE和JDK的关系什么是跨平台性?原理是什么Java语言有哪些特点什么是字节码?采用字节码的最大好处是什么什么是Java程序的主类?应用程序和小程序的主类有何不同?Java应用程序与小程序之间有那些差别?Java和C++的区别Oracle JDK 和 OpenJDK 的对比基础语法数据类型Java有哪些数据类型switc...

@程序员:GitHub这个项目快薅羊毛

今天下午在朋友圈看到很多人都在发github的羊毛,一时没明白是怎么回事。 后来上百度搜索了一下,原来真有这回事,毕竟资源主义的羊毛不少啊,1000刀刷爆了朋友圈!不知道你们的朋友圈有没有看到类似的消息。 这到底是啥情况? 微软开发者平台GitHub 的一个区块链项目 Handshake ,搞了一个招募新会员的活动,面向GitHub 上前 25万名开发者派送 4,246.99 HNS币,大约价...

用python打开电脑摄像头,并把图像传回qq邮箱【Pyinstaller打包】

前言: 如何悄悄的打开朋友的摄像头,看看她最近过的怎么样,嘿嘿!这次让我带你们来实现这个功能。 注: 这个程序仅限在朋友之间开玩笑,别去搞什么违法的事情哦。 代码 发送邮件 使用python内置的email模块即可完成。导入相应的代码封装为一个send函数,顺便导入需要导入的包 注: 下面的代码有三处要修改的地方,两处写的qq邮箱地址,还有一处写的qq邮箱授权码,不知道qq邮箱授权码的可以去百度一...

做了5年运维,靠着这份监控知识体系,我从3K变成了40K

从来没讲过运维,因为我觉得运维这种东西不需要太多的知识面,然后我一个做了运维朋友告诉我大错特错,他就是从3K的运维一步步到40K的,甚至笑着说:我现在感觉自己什么都能做。 既然讲,就讲最重要的吧。 监控是整个运维乃至整个产品生命周期中最重要的一环,事前及时预警发现故障,事后提供详实的数据用于追查定位问题。目前业界有很多不错的开源产品可供选择。选择一款开源的监控系统,是一个省时省力、效率最高的方...

C++(继承):19---虚基类与虚继承(virtual)

一、菱形继承 在介绍虚继承之前介绍一下菱形继承 概念:A作为基类,B和C都继承与A。最后一个类D又继承于B和C,这样形式的继承称为菱形继承 菱形继承的缺点: 数据冗余:在D中会保存两份A的内容 访问不明确(二义性):因为D不知道是以B为中介去访问A还是以C为中介去访问A,因此在访问某些成员的时候会发生二义性 缺点的解决: 数据冗余:通过下面“虚继承”技术来解决(见下) 访问...

再不跳槽,应届毕业生拿的都比我多了!

跳槽几乎是每个人职业生涯的一部分,很多HR说“三年两跳”已经是一个跳槽频繁与否的阈值了,可为什么市面上有很多程序员不到一年就跳槽呢?他们不担心影响履历吗? PayScale之前发布的**《员工最短任期公司排行榜》中,两家码农大厂Amazon和Google**,以1年和1.1年的员工任期中位数分列第二、第四名。 PayScale:员工最短任期公司排行榜 意外的是,任期中位数极小的这两家公司,薪资...

我以为我学懂了数据结构,直到看了这个导图才发现,我错了

数据结构与算法思维导图

技术大佬:我去,你写的 switch 语句也太老土了吧

昨天早上通过远程的方式 review 了两名新来同事的代码,大部分代码都写得很漂亮,严谨的同时注释也很到位,这令我非常满意。但当我看到他们当中有一个人写的 switch 语句时,还是忍不住破口大骂:“我擦,小王,你丫写的 switch 语句也太老土了吧!” 来看看小王写的代码吧,看完不要骂我装逼啊。 private static String createPlayer(PlayerTypes p...

华为初面+综合面试(Java技术面)附上面试题

华为面试整体流程大致分为笔试,性格测试,面试,综合面试,回学校等结果。笔试来说,华为的难度较中等,选择题难度和网易腾讯差不多。最后的代码题,相比下来就简单很多,一共3道题目,前2题很容易就AC,题目已经记不太清楚,不过难度确实不大。最后一题最后提交的代码过了75%的样例,一直没有发现剩下的25%可能存在什么坑。 笔试部分太久远,我就不怎么回忆了。直接将面试。 面试 如果说腾讯的面试是挥金如土...

和黑客斗争的 6 天!

互联网公司工作,很难避免不和黑客们打交道,我呆过的两家互联网公司,几乎每月每天每分钟都有黑客在公司网站上扫描。有的是寻找 Sql 注入的缺口,有的是寻找线上服务器可能存在的漏洞,大部分都...

讲一个程序员如何副业月赚三万的真实故事

loonggg读完需要3分钟速读仅需 1 分钟大家好,我是你们的校长。我之前讲过,这年头,只要肯动脑,肯行动,程序员凭借自己的技术,赚钱的方式还是有很多种的。仅仅靠在公司出卖自己的劳动时...

win10暴力查看wifi密码

刚才邻居打了个电话说:喂小灰,你家wifi的密码是多少,我怎么连不上了。 我。。。 我也忘了哎,就找到了一个好办法,分享给大家: 第一种情况:已经连接上的wifi,怎么知道密码? 打开:控制面板\网络和 Internet\网络连接 然后右击wifi连接的无线网卡,选择状态 然后像下图一样: 第二种情况:前提是我不知道啊,但是我以前知道密码。 此时可以利用dos命令了 1、利用netsh wlan...

上班一个月,后悔当初着急入职的选择了

最近有个老铁,告诉我说,上班一个月,后悔当初着急入职现在公司了。他之前在美图做手机研发,今年美图那边今年也有一波组织优化调整,他是其中一个,在协商离职后,当时捉急找工作上班,因为有房贷供着,不能没有收入来源。所以匆忙选了一家公司,实际上是一个大型外包公司,主要派遣给其他手机厂商做外包项目。**当时承诺待遇还不错,所以就立马入职去上班了。但是后面入职后,发现薪酬待遇这块并不是HR所说那样,那个HR自...

女程序员,为什么比男程序员少???

昨天看到一档综艺节目,讨论了两个话题:(1)中国学生的数学成绩,平均下来看,会比国外好?为什么?(2)男生的数学成绩,平均下来看,会比女生好?为什么?同时,我又联想到了一个技术圈经常讨...

总结了 150 余个神奇网站,你不来瞅瞅吗?

原博客再更新,可能就没了,之后将持续更新本篇博客。

副业收入是我做程序媛的3倍,工作外的B面人生是怎样的?

提到“程序员”,多数人脑海里首先想到的大约是:为人木讷、薪水超高、工作枯燥…… 然而,当离开工作岗位,撕去层层标签,脱下“程序员”这身外套,有的人生动又有趣,马上展现出了完全不同的A/B面人生! 不论是简单的爱好,还是正经的副业,他们都干得同样出色。偶尔,还能和程序员的特质结合,产生奇妙的“化学反应”。 @Charlotte:平日素颜示人,周末美妆博主 大家都以为程序媛也个个不修边幅,但我们也许...

MySQL数据库面试题(2020最新版)

文章目录数据库基础知识为什么要使用数据库什么是SQL?什么是MySQL?数据库三大范式是什么mysql有关权限的表都有哪几个MySQL的binlog有有几种录入格式?分别有什么区别?数据类型mysql有哪些数据类型引擎MySQL存储引擎MyISAM与InnoDB区别MyISAM索引与InnoDB索引的区别?InnoDB引擎的4大特性存储引擎选择索引什么是索引?索引有哪些优缺点?索引使用场景(重点)...

女朋友过生日,我花了20分钟给她写了一个代理服务器

女朋友说:“看你最近挺辛苦的,我送你一个礼物吧。你看看想要什么,我来准备。” 我想了半天,从书到鞋子到电子产品最后到生活用品,感觉自己什么都不缺,然后和她说:“你省省钱吧,我什么都不需要。” 她坚持要送:“不行,你一定要说一个礼物,我想送你东西了。” 于是,我认真了起来,拿起手机,上淘宝逛了几分钟,但还是没能想出来缺点什么,最后实在没办法了:“这样吧,如果你实在想送东西,那你就写一个代理服务器吧”...

记一次腾讯面试,我挂在了最熟悉不过的队列上……

腾讯后台面试,面试官问:如何自己实现队列?

如果你是老板,你会不会踢了这样的员工?

有个好朋友ZS,是技术总监,昨天问我:“有一个老下属,跟了我很多年,做事勤勤恳恳,主动性也很好。但随着公司的发展,他的进步速度,跟不上团队的步伐了,有点...

我入职阿里后,才知道原来简历这么写

私下里,有不少读者问我:“二哥,如何才能写出一份专业的技术简历呢?我总感觉自己写的简历太烂了,所以投了无数份,都石沉大海了。”说实话,我自己好多年没有写过简历了,但我认识的一个同行,他在阿里,给我说了一些他当年写简历的方法论,我感觉太牛逼了,实在是忍不住,就分享了出来,希望能够帮助到你。 01、简历的本质 作为简历的撰写者,你必须要搞清楚一点,简历的本质是什么,它就是为了来销售你的价值主张的。往深...

程序员写出这样的代码,能不挨骂吗?

当你换槽填坑时,面对一个新的环境。能够快速熟练,上手实现业务需求是关键。但是,哪些因素会影响你快速上手呢?是原有代码写的不够好?还是注释写的不够好?昨夜...

带了6个月的徒弟当了面试官,而身为高级工程师的我天天修Bug......

即将毕业的应届毕业生一枚,现在只拿到了两家offer,但最近听到一些消息,其中一个offer,我这个组据说客户很少,很有可能整组被裁掉。 想问大家: 如果我刚入职这个组就被裁了怎么办呢? 大家都是什么时候知道自己要被裁了的? 面试软技能指导: BQ/Project/Resume 试听内容: 除了刷题,还有哪些技能是拿到offer不可或缺的要素 如何提升面试软实力:简历, 行为面试,沟通能...

!大部分程序员只会写3年代码

如果世界上都是这种不思进取的软件公司,那别说大部分程序员只会写 3 年代码,恐怕就没有程序员这种职业。

离职半年了,老东家又发 offer,回不回?

有小伙伴问松哥这个问题,他在上海某公司,在离职了几个月后,前公司的领导联系到他,希望他能够返聘回去,他很纠结要不要回去? 俗话说好马不吃回头草,但是这个小伙伴既然感到纠结了,我觉得至少说明了两个问题:1.曾经的公司还不错;2.现在的日子也不是很如意。否则应该就不会纠结了。 老实说,松哥之前也有过类似的经历,今天就来和小伙伴们聊聊回头草到底吃不吃。 首先一个基本观点,就是离职了也没必要和老东家弄的苦...

2020阿里全球数学大赛:3万名高手、4道题、2天2夜未交卷

阿里巴巴全球数学竞赛( Alibaba Global Mathematics Competition)由马云发起,由中国科学技术协会、阿里巴巴基金会、阿里巴巴达摩院共同举办。大赛不设报名门槛,全世界爱好数学的人都可参与,不论是否出身数学专业、是否投身数学研究。 2020年阿里巴巴达摩院邀请北京大学、剑桥大学、浙江大学等高校的顶尖数学教师组建了出题组。中科院院士、美国艺术与科学院院士、北京国际数学...

立即提问
相关内容推荐